rte_vxlan_hdr(3)

NAME
rte_vxlan_hdr

SYNOPSIS

#include <rte_vxlan.h>

Detailed Description

VXLAN protocol header. Contains the 8-bit flag, 24-bit VXLAN Network Identifier and Reserved fields (24 bits and 8 bits)

Definition at line 30 of file rte_vxlan.h.

Field Documentation

  rte_be32_t vx_flags
flags (8 bits) + extensions (24 bits).

Definition at line 32 of file rte_vxlan.h.

  uint8_t flags
Default is I bit, others are extensions.

Definition at line 35 of file rte_vxlan.h.

  uint8_t flag_g
GBP bit.

Definition at line 38 of file rte_vxlan.h.

  uint8_t flag_ver
GPE Protocol Version.

Definition at line 40 of file rte_vxlan.h.

  uint8_t flag_i
VNI bit.

Definition at line 41 of file rte_vxlan.h.

  uint8_t flag_p
GPE Next Protocol bit.

Definition at line 42 of file rte_vxlan.h.

  uint8_t flag_b
GPE Ingress-Replicated BUM.

Definition at line 43 of file rte_vxlan.h.

  uint8_t flag_o
GPE OAM Packet bit.

Definition at line 44 of file rte_vxlan.h.

  uint8_t flag_d
GBP Don't Learn bit.

Definition at line 61 of file rte_vxlan.h.

  uint8_t flag_a
GBP Applied bit.

Definition at line 63 of file rte_vxlan.h.

  uint16_t policy_id
GBP Identifier.

Definition at line 73 of file rte_vxlan.h.

  uint8_t proto
GPE Next protocol.

Definition at line 76 of file rte_vxlan.h.

  rte_be32_t vx_vni
VNI (24 bits) + reserved (8 bits).

Definition at line 89 of file rte_vxlan.h.

  uint8_t vni[3]
VXLAN Identifier.

Definition at line 91 of file rte_vxlan.h.

  uint8_t rsvd1
Reserved.

Definition at line 93 of file rte_vxlan.h.

  uint8_t last_rsvd
Reserved.

Definition at line 94 of file rte_vxlan.h.

Author

Generated automatically by Doxygen for DPDK from the source code.